Bug 19971 - typo in the comments of parseQuery routine
Summary: typo in the comments of parseQuery routine
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Searching (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Koha Team Lyon 3
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-01-15 16:21 UTC by Koha Team Lyon 3
Modified: 2018-06-04 20:14 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Typo in the comments of parseQuery routine (891 bytes, patch)
2018-01-15 16:35 UTC, Koha Team Lyon 3
Details | Diff | Splinter Review
Bug 19971 Typo in the comments of parseQuery routine (1.33 KB, patch)
2018-01-18 00:32 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 19971 Typo in the comments of parseQuery routine (1.38 KB, patch)
2018-01-19 16:04 UTC, Nick Clemens
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Koha Team Lyon 3 2018-01-15 16:21:07 UTC
In the instructions of use, buildQuery is written instead of parseQuery
Comment 1 Koha Team Lyon 3 2018-01-15 16:35:06 UTC
Created attachment 70491 [details] [review]
Typo in the comments of parseQuery routine
Comment 2 M. Tompsett 2018-01-18 00:32:29 UTC
Created attachment 70654 [details] [review]
Bug 19971 Typo in the comments of parseQuery routine

TEST PLAN
---------
1) Run these commands:
    git checkout master
    git pull
    perldoc C4::Search
2) look for parseQuery
    -- NOTE: The sample code provided below this heading has
             the wrong function name!
3) Run these commands:
    git checkout -b bug_19971 origin/master
    perldoc C4::Search
4) look for parseQuery
    -- NOTE: The wrong function name is corrected.
5) Run koha qa test tools

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Nick Clemens 2018-01-19 16:04:28 UTC
Created attachment 70758 [details] [review]
Bug 19971 Typo in the comments of parseQuery routine

TEST PLAN
---------
1) Run these commands:
    git checkout master
    git pull
    perldoc C4::Search
2) look for parseQuery
    -- NOTE: The sample code provided below this heading has
             the wrong function name!
3) Run these commands:
    git checkout -b bug_19971 origin/master
    perldoc C4::Search
4) look for parseQuery
    -- NOTE: The wrong function name is corrected.
5) Run koha qa test tools

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Nick Clemens <nick@bywatersolutions.com>
Comment 4 Jonathan Druart 2018-01-19 18:56:30 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 5 Nick Clemens 2018-01-23 04:15:50 UTC
Awesome work all!

Pushed to Stable for 17.11.02
Comment 6 Fridolin SOMERS 2018-02-02 08:40:00 UTC
Pushed to 17.05.x for v17.05.09